module Counter(Clock, Reset, Enable, Out);
	input		Clock;
	input		Reset, Enable;
	output	[7:0]	Out;

	reg	[7:0]	Out;

	always @ (posedge Clock) begin
		if (Reset) Out <=	8'h00;
		else if (Enable) Out <=	Out + 1;
	end
endmodule